View Issue Details

IDProjectCategoryView StatusLast Update
0003296GNUnettransport servicepublic2014-04-08 16:41
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityurgentSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.10.0 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003296: core needs to be able to tell if transport has 'excess' bandwidth or is strapped for a particular peer
DescriptionOnly if there is 'excess', core should trigger "background" activity (i.e. file-sharing), as otherwise low-latency traffic like conversation/mesh/dht does suffer. Right now, the transport API doesn't allow us to ask transport how big the "slack" (unused quota) is for a given neighbour.
TagsNo tags attached.

Relationships

parent of 0003295 closedChristian Grothoff core needs to be able to prioritize mesh/conversation traffic properly 

Activities

Christian Grothoff

2014-02-02 18:51

manager   ~0008053

GNUNET_TRANSPORT_connect2 now takes an extra argument with a callback to invoke on 'excess' bandwidth (to be implemented & tested).

Christian Grothoff

2014-02-09 19:48

manager   ~0008081

Implemented in SVN 32264.

Issue History

Date Modified Username Field Change
2014-01-30 20:25 Christian Grothoff New Issue
2014-01-30 20:25 Christian Grothoff Status new => assigned
2014-01-30 20:25 Christian Grothoff Assigned To => Matthias Wachs
2014-01-30 20:26 Christian Grothoff Relationship added parent of 0003295
2014-02-02 18:51 Christian Grothoff Note Added: 0008053
2014-02-07 10:07 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2014-02-09 19:48 Christian Grothoff Note Added: 0008081
2014-02-09 19:48 Christian Grothoff Status assigned => resolved
2014-02-09 19:48 Christian Grothoff Fixed in Version => 0.10.1
2014-02-09 19:48 Christian Grothoff Resolution open => fixed
2014-04-08 16:41 Christian Grothoff Status resolved => closed